Version                              Changes
19.0.2.4   Better error messages in Common_Routines
19.0.2.3   Better error messages. Removed message 0296. Changed Download error detection from 5 tries
           to 100 tries before giving up.
19.0.2.2   More fixes to Landsat2mbtiles. Removed outdated other language files (contact Paul if you want 
           to help update a language file).
19.0.2.1   Added Landsat2mbtiles capability. Fixed an issue with OpenCPN running at the same time.
19.0.2.0   Fixed Landsat handling, added Copernicus chart capability, new help, new routines, new tutorials.  
19.0.1.0   Fixed 3 utilities and updated the tutorials for all the utilities to remove imbedded captions.
19.0.0.1   MINOR:  Updated links to upgraded Youtubes in Sat2Chart Youtube Channel
19.0.0.0   MAJOR:  Removed path logic. You must now use SasPlanet polylines. Recommend you also use SasPlanet 
                   when creating polygons.
           MAJOR:  Fixed a problem with tiling introduced in 18.0.3.0  
           MAJOR:  Revised help and added a tutorial on Youtube about doing "Polygons and Polylines" directly in SasPlanet.
           Continued cleaning up from OpenCPN & GE removals
18.0.3.0   Removed check to see if Google earth is running when source is Google earth.  
           Fix hang at shutdown if View Chart was used.  
           Fixed controls for Overlay on GE.  
           Removed all references to OpenCPN and GE plugin.
18.0.2.0   Removed the OpenCPN button as a Chart Source. Updated some of the help files, changed the Tutorial
           links to point to the @Sat2Chart Youtube Channel.
18.0.1.0   Small change to not show #splits field(s) on the config page, unless the request is something that 
           would need Sas to download and the Sas Download checkbox is checked.  Do not do splits unless checkbox
           is checked.
18.0.0.0   Fixed issues with Tiled mbtiles (Note: Tiled KAP no longer supported)
           Fixed issues with overlaying depths on sat charts
           Fixed default Multimap List to include Google and Aquamaps
           Don't automatically turn on Multimap mode if Sat2Chart_Selected_Maps.txt is present
           Don't display maps list if Multimap is not turned on
	   If brand new install, default Chart Type to SasPlanet and mbtiles
           Disable the OpenCPN plugin option and don't ask about installing plugin on clean install
           Several minor changes to how things look on a clean install.
           Tracked down View Chart error for Windows 11 (need to install v2010 of 
           Visual Studio vcredist_x86.exe Use this link:
           https://learn.microsoft.com/en-us/cpp/windows/latest-supported-vc-redist?view=msvc-160 )
17.??      Mostly SAS.Planet version changes and the multimap list & hotkeys
16.0.5.0   New    - Version 
16.0.4.0   Fixed  - New error message if the keyboard is not QWERTY. 
16.0.4.0   Fixed  - A mbtiles chart created from a geo-referenced image will not be correct unless the image is cropped to its border.
16.0.4.0   New    - Version 
16.0.4.0   Fixed  - Processing muliple SasPlanet maps and a layer is selected, the layer tiles were downloaded by all SasPlanets. Now only by one.
16.0.4.0   Fixed  - NOSTring error in R_Reset_Disabled
16.0.4.0   Fixed  - NO  VALUE error caused by double "do"
16.0.2.0   New    - Version 
16.0.2.0   Fixed  - Moved chart complete tada/beep after chart successfully completed message.
16.0.2.0   Fixed  - Removed redundant code in error processing and enhanced the error messages logged to give more info.
16.0.1.0   New    - Version 
16.0.1.0   Fixed  - If the cache directory for a map does not exist then all the directories will be created.
16.0.0.0   New    - Version 
16.0.0.0   Fixed  - the newest version of OORexx 12515 will give a Circular error
16.0.0.0   Fixed  - Merge mbtiles both utility and the function adding the map name and zoom levels when the merge files have none
16.0.0.0   Fixed  - Removed extra messages if adding marine depths
16.0.0.0   Fixed  - Added an error message if adding marine depths and the Multi-Map option is not checked. 
15.0.11.0   New    - Version 
15.0.11.0   Fixed  - A single apostrophe in the route name causes an error message
15.0.11.0   Fixed  - Creating a chart that crosses longitude 0 creates 2 charts that cross the 180 parallel
15.0.11.0   Fixed  - Crash if the SasPlanet system is overloaded with so many downloads.
15.0.11.0   Fixed  - Crash (divide by zero) checking a path for zigzags. 
15.0.11.0   Fixed  - Not recognizing the Open window when the language is Turkish
15.0.11.0   Fixed  - Merging charts both the function and the utility can have missing tiles if a mbtiles being merged overlays multiple other mbtiles.
15.0.11.0   Fixed  - Removed the restriction that when merging all the mbtiles must be created from the same map type. 
15.0.10.0   New    - Version 
15.0.10.0   Fixed  - Crash if Multi-map option not selected.
15.0.10.0   Fixed  - Invalid error message from BSB2TIF when viewing a chart.
15.0.10.0   Added  - GEBCO Bathymetry Data to Help/Adding XYZ Depth Sounding to a Chart
15.0.9.0    New    - Version 
15.0.9.0    Added  - Added Yandex to Mult-Map list
15.0.9.0    Fixed  - Crash if not agreeing to 1st message
15.0.7.0    New    - Version 
15.0.7.0    Fixed  - Crashes making kaps or kmls
15.0.6.0    New    - Version 
15.0.6.0    Added  - Option to include Depth contours on XYZ files
15.0.6.0    Added  - Option to include isolines in a add Marine chart
15.0.6.0    Added  - Option to crop the bottom of a add Marine chart
15.0.6.0    Fixed  - Removed Yandex warning message
15.0.6.0    Fixed  - Removed status bar from marine overlay charts.  
15.0.6.0    Fixed  - Processing multiple mbtiles the Name is the same    
15.0.6.0    Fixed  - Fails if Zoom level 20 or above selected
15.0.6.0    Fixed  - Zoom/Map selection window to display all the maps and most of the zoom levels 
15.0.6.0    Fixed  - Overlaying sasPlanet can fail filling in the GE overlay window
15.0.6.0    Added  - Support for .asc files for depths from European Community Organisation
15.0.5.0    New    - Version     
15.0.5.0    Added  - Support for .emo files for depths from European Community Organisation                                
15.0.5.0    Added  - New SasPlanet option "Add marine depths to chart"
15.0.5.0    Added  - Navionics  sonar to the overlay choices when overlying SasPlanet using Google Earth
15.0.5.0    Added  - New Add Depths utility
15.0.4.0    New    - Version
15.0.4.0    Fixed  - New path logic using polyshape merge function
15.0.4.0    Fixed  - Creating a KML/AT5 at Z18 can fail
15.0.4.0    Fixed  - Crossing the 180 meridian
15.0.4.0    Fixed  - Crash if tiling to a KML/AT5
15.0.4.0    Fixed  - Crash if the SasPlanet window comes to the foreground while downloading  
15.0.4.0    Fixed  - Nokia Here Sat (wego.here.com) map wrong name in Sat2Chart and version has updated will upload updated SasPlanet to my website.
15.0.3.0    New    - Version
15.0.3.0    Fixed  - Error message when no maps are selected when using Multi_Map feature.
15.0.3.0    Fixed  - New tutoral and Help for zigzags and jogs.
15.0.3.0    Fixed  - Links to tutorials in utilities outdated..
15.0.3.0    Fixed  - Mbtiles_viewer.rex unable to enter the Mbtiles file without using the browse button.
15.0.3.0    Fixed  - Crash if tiling
15.0.3.0    Fixed  - Creating a chart from a path with zigzags can have holes in the chart.
15.0.3.0    Fixed  - Creating a chart from a path with jogs can have holes in the chart.
15.0.2.0    New    - Version
15.0.2.0    Fixed  - Unable to create a chart from Navionics SonarChart(TM) 
15.0.2.0    Fixed  - Creating charts from paths causes holes rewrote path logic
15.0.2.0    Fixed  - Bringing up the selection manager for Export now uses Ctrl+B
15.0.2.0    Fixed  - Bringing cursor to the bottom of the screen no longer causes Sat2Chart to pause. Just use the Pause checkbox
15.0.2.0    Fixed  - Selecting a map for a path and a different map for a polygon creates both charts with the polygon map
15.0.2.0    Fixed  - Creating a Single chart from SasPlanet with no Select Multi zooms fails
15.0.2.0    Fixed  - Crash creating a chart from a Geo_referenced image
15.0.2.0    Fixed  - Creating Single chart with multiple zooms fails creating 3rd chart
15.0.2.0    Fixed  - First SasPlanet being stopped at the end of Create Cache. 
15.0.2.0    Fixed  - Running multiple Polygon-Paths if RETRY gets errors they are not reset for next Polygon-Paths. 
15.0.2.0    Fixed  - Running multiple Polygon-Paths setting zoom levels more often than necessary.
15.0.2.0    Fixed  - Unable to enter into SasPlanet Location field.  Removed the NUMBER specification for that field.
15.0.2.0    Fixed  - Merge function not working.
15.0.2.0    Fixed  - Pressing the ckfor updates did not find the latest version on my website.
15.0.2.0    Fixed  - When installing if you reply No to install ge2kap plugin it will install anyway
15.0.1.0    New    - Version
15.0.1.0    Fixed  - Crash if tiling or creating a single chart with multiple zoom levels
15.0.0.0    New    - Version
15.0.0.0    Fixed  - Creatinting a chart from a Polygons/Paths will now automatically start SasPlanet if its not running.
15.0.0.0    Fixed  - Creating mutiple Polygons/Paths will run in separate SasPlanet instances
15.0.0.0    Fixed  - Zoom levels are only set once for a SasPlanet's Selection manager's Download and Export tabs
15.0.0.0    Fixed  - Number of splits can now be specified separately for each map
15.0.0.0    Fixed  - Added new option for SasPlanet: "Bypass confirming chart selection"
15.0.0.0    Fixed  - Made the "Repeat these values.."  sticky
15.0.0.0    Fixed  - Made the "Bypass confirming the number of charts" sticky
15.0.0.0    Fixed  - Unquilted Kaps no longer supported.
15.0.0.0    Fixed  - Creating KML (and AT5) from Polygons or Paths results in poorly geo-referenced chart
15.0.0.0    Fixed  - Merge function with multiple maps fails on second map
15.0.0.0    Fixed  - Create_New_Cache utility can fail if you do not select a polygon
15.0.0.0    Fixed  - No longer support creating mbtiles in Sat2Chart.  Always done now in SasPlanet
15.0.0.0    Fixed  - Unable to View all the charts if Multi_Map option is selected 
15.0.0.0    Fixed  - New progress display by SasPlanet
14.0.0.0    Fixed  - All tabs are now disabled while creating a chart
14.0.0.0    Fixed  - Main tab not selected when creating a chart
14.0.0.0    Fixed  - Crash: Out of resources processing large polygons or HLGs also improves performance. 
14.0.0.0    Fixed  - Crash if somehow the MAPSELECTED becomes not a number. Now will check if its not a number and sets it 0.
14.0.0.0    Fixed  - Fails creating an overlay of sasplanet onto GE and there is another program capturing the Ctl+Alt+C, the option to use the pulldown does not work. 
14.0.0.0    Fixed  - Crash when creating large SasPlanet charts and Invoke Download is not checked.
14.0.0.0    Fixed  - Crash when creating multiple SasPlanet charts if the the gpx files overlap.
V13.0.5.0    New    - Version 
V13.0.5.0    Fixed  - Creating a single chart with multiple zoom levels from Sasplanet adds a preceding underscore to the chart name.
V13.0.4.0    New    - Version 
V13.0.4.0    Fixed  - Tutorial link takes you directly to all the tutorials where they can be listed and sorted.
V13.0.4.0    Fixed  - Only support Zoom levels Z10-24
V13.0.3.0    New    - Version 
V13.0.3.0    Fixed  - Creating HLG from lowest zoom level.   Changed to use highest
V13.0.2.0    Fixed  - Crash If mbtiles creation is suppose be SasPlanet and we are creating a kap
V13.0.1.0    New    - Version 
V13.0.1.0    Fixed  - Merge function not working
V13.0.1.0    Fixed  - The link to OORexx.exe was flagged as having a virus. Updated OORexx and created new link: "Open Object Rexx.exe"
V13.0.1.0    Fixed  - SasPlanet KML Polygon/Path not working
V13.0.1.0    Fixed  - SsaPlanet Kap Unquilted charts not working
V13.0.0.0    New    - Version 
V13.0.0.0    Fixed  - Conver_Cache utility fails if Source cache is SQLite3 format.  Can now merge two SQLite3 caches.
V13.0.0.0    Fixed  - Display of thread information
V13.0.0.0    Fixed  - SasPlanet prcessing doing a lot of unnecessary code meant for Google Earth
V13.0.0.0    Fixed  - Unable to load XYZ files. Window version was missing.
V12.0.5.0    New    - Version 
V12.0.5.0    Fixed  - Sasplanet Nokia Here Sat
V12.0.5.0    Added  - Support for Aqua Maps
V12.0.5.0    Fixed  - getting all the prerequistes installed difficult for new user
V12.0.5.0    Fixed  - Sometimes copy_it routine fails
V12.0.5.0    Fixed  - Fails if chart crosses 180 meridian
V12.0.5.0    Fixed  - Slow to close Download windows if all the data is already in the cache
V12.0.5.0    Fixed  - Paths with low zoom levels may hang if the entire path is within the tile. 
V12.0.5.0    Fixed  - Large polygons fail if the "Make polygons rectangles"  is checked.
V12.0.5.0    Fixed  - C-Map no longer works.  Now added 5 new ones
V12.0.5.0    Fixed  - Crash if creating a chart from a polygon and all the tiles are in the cache already.
V12.0.5.0    Fixed  - Hangs when switching to a new map when using Multi-Map feature
V12.0.4.0    New    - Version 
V12.0.4.0    Fixed  - If there are download errors Sat2Chart will rety then die.  Now it continues and lists the chart names that had errors at the end
V12.0.4.0    Added  - Convert_Cache nows supports multiple concurrent cache managers
V12.0.4.0    Added  - Mbtiles_Viewer now can View/Edit the metadata
V12.0.4.0    Fixed  - Merge_Mbtiles not freeing memory
V12.0.4.0    Fixed  - Merging mbtiles will fail if the blobs are zero length
V12.0.3.0    New    - Version 
V12.0.3.0    Added  - Utility C2GPXKML converts to .gpx/and or/kml from .gpx, kml, Maxsea: .ptf, .wpt SeaClear: .srw, trc
V12.0.3.0    Fixed  - Warning message if Yandex is Selected.
V12.0.3.0    Fixed  - Automated support for XYZ files created from https://topex.ucsd.edu/cgi-bin/get_data.cgi
V12.0.3.0    Fixed  - "Check for Updates" not working.
V12.0.2.0    New    - Version 
V12.0.2.0    Fixed  - New option for polygons: "Make polygon(s) rectangle)s)"
V12.0.2.0    Fixed  - Accidently included Testing...msi causing size to be double.
V12.0.2.0    Fixed  - KML files  created by GE with the range specified fail
V12.0.2.0    Fixed  - Unable to override the chart name for a path/polygon
V12.0.2.0    Fixed  - Merge checkbox not enabled 
V12.0.2.0    Fixed  - Crash if source is OpenCPN
V12.0.2.0    Fixed  - Some users crash trying to get the GDAL version.
V12.0.1.0    New    - Version 
V12.0.1.0    Fixed  - Support for Great Barrier Reef XYZ depths
V12.0.1.0    Fixed  - single chart with multiple zooms fails
V12.0.0.0    New    - Version Support for XYZ depth files
V11.0.8.0    New    - Version 
V11.0.8.0    Fixed  - MBtiles chart created from overlay had position incorrect.
V11.0.8.0    Fixed  - Assumed that all C-Map and Navionics were meters. Now user has to enter the correct depth units.
V11.0.8.0    Fixed  - New option to put depths on SasPlanet satellite maps.
V11.0.7.0    Fixed  - Creating a chart from a path occassionally cuts off part of it
V11.0.7.0    Fixed  - Creating a single kap chart of Sasplanet fails
V11.0.7.0    Fixed  - Creating overlay chart from SasPlanet the depths were hard to read
V11.0.7.0    Fixed  - Added message about checking the GE side bar if GE overlay fails.
V11.0.7.0    Fixed  - Added new Help/Problem Red X on Google Earth
V11.0.7.0    Fixed  - Removed messages relating to typing test
V11.0.7.0    Fixed  - 'Edit Overlay' gets uncheck if chart name entered
V11.0.7.0    Fixed  - 'Edit Overlay' is incompatible with "Make water transparent" so its disabled if the latter is checked.
V11.0.7.0    Fixed  - Not setting Depth in Mbtiles Name if GE overlay is SasPlanet and the map is Navionics or C-Map
V11.0.6.0    Fixed  - Turned off annoying hints on using GE and kaps
V11.0.6.0    Fixed  - No longer necessary ro type "R" to make north up on GE, Sat2Chart will do it.
V11.0.6.0    Fixed  - Crash if "Make land transparent" is unchecked
V11.0.6.0    Fixed  - Added new option to overlays: "Make water transparent" but keep the depth units
V11.0.5.0    Fixed  - Added CM93 corrections to opencpn overlay onto Google Earth Pro
V11.0.4.0    Fixed  - Restored Google Earth overlay function for Google Earth Pro
V11.0.4.0    Fixed  - French .mo lanquage file had Spanish
V11.0.3.0    Fixed  - Tiled charts being treated as a polygon and adding extra tiles
V11.0.3.0    Fixed  - Allowed the Google earth lat/lon to be any degree format.
V11.0.3.0    Fixed  - Some users have programs that use the GE hotkeys.  Provided two new GE options to use the dropdowns.
V11.0.3.0    Fixed  - Sometimes unable to create a chart from Googel Earth Pro  historical imagery
V11.0.2.0    Fixed  - Fixed the Google Earth Pro access to provide limited support for creating a single chart.
V11.0.2.0    Added  - Support for accessing the Google earth Pro cache from SasPlanet
V11.0.2.0    Fixed  - Updated and cleaned up all the language files,  with Google Translate
V11.0.2.0    Fixed  - Replying NO to ovelay current charts does not continue from where it was.
V11.0.2.0    Fixed  - Check.rex not copying all options files and "Convert_Cache_Restart.txt"
V11.0.2.0    Added  - Hints for using kaps and Google earth
V11.0.2.0    Fixed  - A Kap chart created from OpenCPN does not display on OpenCPN
V11.0.2.0    Fixed  - Unable to Merge single mbtiles charts that overlap.
V11.0.2.0    Fixed  - Updated German language file, thank you Andreas.
V11.0.2.0    Fixed  - Crash changing to another language.
V11.0.1.0    Added  - New Utility: Convert_Cache that automates Sasplanet's Cache Manager that will do multiple Maps/Layers.
V11.0.1.0    Fixed  - Polygons not following the polygon  
V10.0.9.13   Fixed  - Occassionally crashes creating a kap chart from SasPlanet using a polygon at a vey high zoom level.
V10.0.9.9    Fixed  - Updated the SasPlanet_Cache_Viewer and the Create_new_Cache utilities and Help to supprt SQlite2 cache format
V10.0.9.9    Fixed  - Updated SasPlanet Help for SQLite3 support.
V10.0.9.9    Fixed  - If SasPlanet language is French the download windows are not closed.
V10.0.9.7    Fixed  - Crash creating a chart from Google earth with a polyon
V10.0.9.2    Fixed  - Added Support for SasPlanet cache being Sqlite3
V10.0.9.2    Fixed  - Crash when creating a KAP from SaSPlanet and SPECIALCHARTNAME=0 
V10.0.9.1    Fixed  - Added check to be sure the SasPlanet cache is Sas.Planet or Sqlite3
V10.0.9.1    Fixed  - Performance improvement creating the border for quilted charts created from SasPlanet. Moved code into C++ in dll.
V10.0.9.1    Fixed  - Users that fail to load the the SAT2CHART_GDAL_Funcs.dll can not create charts. Now give a Warning message.
V10.0.8.1    Fixed  - Crashes when editing an mbtiles with select multiple zoom levels checked
V10.0.8.0    Fixed  - Not finding GDAL if its installed in C:\Program Files\GDAL for a 32 bit Windows system
V10.0.7.11   Fixed  - Merge function not working
V10.0.7.5    Fixed  - Check.rex if you repying NO to installing plugin is ignored
V10.0.7.5    Fixed  - Creating a KAP from SasPlanet the progress indicator >>> stops
V10.0.7.5    Fixed  - Crossing the prime meridian (Longitude 0) is mistaken for crossing the 180 meridian
V10.0.7.5    Fixed  - Create_New_Cache utility not copying all the tiles
V10.0.7.3    Fixed  - Creating a SasPlanet Mbtiles with a layer that is completly transparent creates a completly white chart.
V10.0.7.1    Fixed  - Changed creating a kap from SasPlanet, now creates an mbtiles first then from that the kap 
V10.0.7.1    Fixed  - Not creating the OLD log when restarting 
V10.0.7.1    Fixed  - Creating a kap chart from a HLG does not get all the interior at lower zoom levels 
V10.0.7.1    Fixed  - Creating a chart from a HLG does not use all the coordinates.
V10.0.6.2    Fixed  - Tiling sometime does not select the lowest 4 2x2 selecttion
V10.0.6.2    Fixed  - All utilities can run multiple copies
V10.0.6.2    Added  - New Utility SasPlanet_Cache_Viewer
10.0.6.1     Fixed  - Sat2Chart creating charts from path/polygons, Tile taking a long time to determine if tiles exist.  
10.0.6.1     Fixed  - Sat2Chart can now run multiple copies uses separate logs but same options file, only first updates the options. 
10.0.6.1     Fixed  - Create_New_Cache can now run multiple copies uses separate logs and option files.
10.0.6.1     Fixed  - Create_New_Cache now can select minimum and maximum zoom levels
10.0.6.1     Fixed  - Create_New_Cache fails if the polygon crosses 180 meridian it fails. Now get error message
10.0.6.1     Fixed  - Create_New_Cache fails if the polygon crosses the prime meridian (Longitude 0) 
V10.0.5.5    Added  - New Utility to create a new cache. Updated Help and new tutorial.
V10.0.5.5    Fixed  - Crash if rxqueue is quarantined. Now message warning the user to check their virus program
V10.0.5.5    Fixed  - If polyzooms or pathzooms = zero fails if creating charts from Google earth
V10.0.5.1    Added  - Capability to modify the Insight map Creator fields
V10.0.5.1    Fixed  - Some windows systems missing msvcr100.dll
V10.0.3.1    Fixed  - Not creating a BSB if Source is GE
V10.0.3.1    Added  - Support to create AT5 files from KML
V10.0.3.1    Fixed  - Displaying a KML on Google earth prevents Sat2Chart from terminating until GE is terminated
V10.0.3.1    Fixed  - Creating a Kml from a Polyon/path fails
V10.0.3.0    Fixed  - Merging CMap or Navionics will fail. 
V10.0.3.0    Fixed  - If a polygon/path crosses the 180 meridian does not create the two charts on either side.
V10.0.3.0    Fixed  - Not specifying a polygon zoom value cause a crash
V10.0.3.0    Fixed  - Allowed users who can not load the Sat2Chart_GDAL_Funcs.dll to use old functions
V10.0.3.0    Fixed  - Checking the Merge checkbox gives no indication what to do 
V10.0.3.0    Added  - For Mbtiles if the "Bypass Confirming ..." is not checked will estimate the mbtiles file size
V10.0.2.0    Removed - Yandex from Multi_maps.  The Map is off my 7 meters so not suitable for navigation.
V10.0.2.0    Removed - Moving the cursor of the top of the screen will no longer show a progress bar.
V10.0.2.0    Fixed  - If GDAL fails to initialize then the depth units are not shown and fails to make a chart.
V10.0.2.0    Added  - Pause Checkbox 
V10.0.1.0    Added  - Nokia Comm Sat Multi map as hot key "I"  
V10.0.1.0    Added  - Help button 
V10.0.1.0    Added  - Mult-Map support for Kaps
V10.0.1.0    Added  - Added Here.com Sat with a hotket of "I" 
V10.0.1.0    Fixed  - Mbtile_Viewer utility reduce colors active for the default editor
V10.0.1.0    Fixed  - If you select multiple maps to process the final message only displays information from the last map
V10.0.1.0    Fixed  - The Nokia hot key is not correct should be using the Nokia/Here.com Hybrid
V10.0.1.0    Fixed  - Creating a tiled Kap from SasPlanet fails
V10.0.1.0    Fixed  - If split checkbox is unchecked the will wait forever for the spit count
V10.0.1.0    Fixed  - If you create a chart with Multi-Map on and then turn it off the it still creates a chart with special name
V10.0.1.0    Fixed  - The Tile message for SasPlanet was incorrect
V10.0.1.0    Fixed  - Not retaining the zoom levels for a Single chart with multiple zooms 
V10.0.1.0    Fixed  - Extract_High_Zoom utility fails with message it can't find the input directory.
V10.0.1.0    Added  - New option to invoke SasPlanet Export for an Mbtiles chart or let Sat2Chart create it.
V10.0.1.0    Fixed  - Edit_Chart Utility fails editing a Kap
V10.0.1.0    Fixed  - Not detecting V4 of OpenCPN
V9.0.4.1     Fixed  - Mbtiles_Viewer and Extract_HiZoom utility tutorials.
V9.0.4.9     Added  - New option to only put the layer in the highest zoom level. Add new section to SasPlanet Help.
V9.0.4.9     Fixed  - Creating a mbtiles from a Geo_Referenced image does put in the depth units.
V9.0.4.8     Fixed  - Utility links
V9.0.4.5     Fixed  - Tutorial links
V9.0.4.5     Fixed  - Polygon that crosses longitude 0 fails, also those that have ul_lat > 85 or lr_lat < -85
V9.0.4.5     Fixed  - Muti_map support and QueueInfo no options.
V9.0.4.5     Fixed  - "Create Charts From:" in the 2nd panel, moved to first and moved Tile checkbox
V9.0.4.5     Fixed  - Creating Kaps and Tiling and quilting from SasPlanet does not add a suffix 
V9.0.4.1     Added  - Tutorial on how to create a KML chart from OpenCPN and display it on Google earth
V9.0.3.1     Fixed  - Merge_Mbtiles generic does not work and added new generic command see the Help which is upated.
V9.0.3.1     Fixed  - Creating Kap charts from SasPlanet fails for single chart and tiling or Path/Polygon and not quilted
V9.0.3.1     Fixed  - If the computer language is Italian will fail to recognize the Apri (Open) window.
V9.0.3.1     Fixed  - Selecting Cancel on a Path/Polygon directory does not close the Selected Path/Polygons window
V9.0.2.1     Fixed  - Creating Kap files from SasPlanet fails
V9.0.2.0     Fixed  - Allowed to select source files from multiple directories 
V9.0.2.0     Fixed  - Merge_Mbtiles utilty added selected source window
V9.0.2.0     Fixed  - Selected  PathPolygon window getting overlaid by Sat2Chart window, moved it below Sat2Chart
V9.0.0.3     Fixed  - Asks to terminate OpenCPN if OpenCPN does not have a lock on mbtiles
V9.0.0.3     Fixed  - Not copying the options for the utilities when new version is installed
V9.0.0.3     Fixed  - Sat2Chart leaves all the download windows open until all are complete. Now closes them as each download completes.
V9.0.0.3     Fixed  - Merge_Mbtiles fails
V9.0.0.0     New    - Version
V8.1.0.6     Fixed  - Not detecting Google earth with no API
V8.1.0.6     Added  - New Source OpenCPN
V8.1.0.6     Fixed  - Doing Merge doesn't use the largest temporary mbtiles file as the dest
V8.1.0.5     Fixed  - Tile GE fails
V8.1.0.4     Fixed  - KML output missing Document key words
V8.1.0.3     Fixed  - Viewing a KML fails if blanks in directory
V8.1.0.0     New    - Version
V8.1.0.0     Fixed  - Creating a KML instead of a KAP fails
V8.1.0.0     Fixed  - Multiple zoom single charts fail
V8.0.12.10   Added  - New Chart type KML
V8.0.12.10   Fixed  - Not setting the selection manager Export "Export Selection to format" field to Mbtiles 1.2 
V8.0.12.10   Fixed  - Tiling does not work if either the scmultzooms or resuse selected are checked
V8.0.12.9    New    - Version
V8.0.12.9    Fixed  - Tiling SasPlanet does not work.
V8.0.12.8    New    - Version
V8.0.12.8    Fixed  - Had to close the "Selectd Paths Polygons.." before pressing Create Chart
V8.0.12.7    Fixed  - Added a separate window to list the Paths/Polygons selected and Clear them
V8.0.12.7    Fixed  - Polygons/Path list not cleared if Cancel 
V8.0.12.6    Fixed  - The Terminate OpenCPN popup message gets lost under other windows
V8.0.12.6    Fixed  - Merged filespec does not have Map name or zoom levels also Name metadata not correct
V8.0.12.4    Fixed  - Merging not displaying queueinfo
V8.0.12.4    Fixed  - Merging paths/polygons with muliple maps fails
V8.0.12.3    Fixed  - New Option for single mbtiles chart to select multiple zooms
V8.0.12.2    Fixed  - New Option to to reuse the selected zoom levels
V8.0.12.1    New    - Version 
V8.0.12.1    Fixed  - When tiling SasPlanet the scale is wrong in the select number of tiles message.
V8.0.12.0    Fixed  - Not recognizing the Spanish word "Abrir" as the open window
V8.0.11.2    New    - Version 
V8.0.11.2    Fixed  - Creating kap charts from SasPlanet using a Path or Polygon produces a garbage chart
V8.0.11.2    Fixed  - Unchecking "Invoke SasPlanet Download" does not hide the Splts checkbox and the splits number
V8.0.11.1    New    - Version 
V8.0.11.1    Fixed  - If "Invoke Sasplanet Download" is unchecked, it still does a download.
V8.0.11.1    Fixed  - Creating a mbtiles chart from a polygon with missing tiles may create a bad chart 
V8.0.11.0    New    - Version added to Help for sasplanet
V8.0.10.5    Fixed  - Creating .kap chart from SasPlanet fails
V8.0.9.12    Fixed  - Creating a SasPlanet chart with the layer selected as Hybrid (Google), selects wrong layer
V8.0.9.11    New    - Version 
V8.0.9.11    Fixed  - Creating a single chart kap chart from SasPlanet will creaate the chart then check if overlaying it 
V8.0.9.10    Fixed  - Replying NO to overlay existing chart still creates chart
V8.0.9.9     Fixed  - Creating .kap chart from SasPlanet fails with new nightlies
V8.0.9.8     New    - Version  
V8.0.9.8     Fixed  - Msgid 619 missing from French.mos
V8.0.9.8     Fixed  - Ability to type in olygon/Path file name, now must select with the << browse field 
V8.0.9.7     Fixed  - Crash if the Polygon/Path file is typed or pasted into the field
V8.0.9.6     New    - Version  
V8.0.9.5     Fixed  - Crating a kap chart from Saspanet from a path/polygon produces a bad chart
V8.0.9.4     New    - Version  
V8.0.9.4     Fixed  - Creating tiled kap charts with a large screen size produces a partial chart
V8.0.9.2     New    - Version  
V8.0.9.2     Fixed  - Check the GDAL version is 2.0.0 or greater and that the GE2KAP.GDAL.DLL loads
V8.0.9.1     New    - Added ability to not check not check the GE status bar spinwheel
V8.0.9.0     New    - Version 
V8.0.8.3     New    - Able to select Polygon/Paths from multiples directories
V8.0.7.2     New    - Sat2Chart now uses the latest Windows file dialog.
V8.0.6.2     New    - New function: the capability to merge mutiple paths and polygons into one mbtiles chart
V8.0.6.2     Fixed  - Crash when creating a chart from paths/Polyons and you do not select a zoom level
V8.0.6.0     New    - Version 
V8.0.5.1     Fixed  - Crash if the Sasplanet interface options are not set correctly
V8.0.5.0     New    - Version 
V8.0.5.0     Fixed  - If GDAL is not installed fails loading the GE2KAP_GDAL_Funcs dll
V8.0.4.0     Fixed  - Unable to create a kap file from a geotiff
V8.0.3.1     Fixed  - Edit_chart utility crashes if the editor is cancelled
V8.0.3.1     Fixed  - Unable to creat SasPlanet unquilted kap charts 
V8.0.3.1     Fixed  - Tile checkbox not disabled if source is Geo-Referenced image
V8.0.3.1     Fixed  - Unable to create a mbtiles chart if overlaying onto GE
V8.0.3.1     Fixed  - Unable to create a single mbtiles chart of GE if C:\ in overlay field 
V8.0.3.0     New    - Version 
V8.0.2.3     Fixed  - Large Geotiffs fail. Now break them into smaller parts 
V8.0.2.3     Fixed  - Cannot View mbtiles charts 
V8.0.2.1     Fixed  - Updated Help on status bar for Google earth
V8.0.2.1     Fixed  - Cannot create single Mbtiles chart from Google earth
V8.0.2.0     New    - Version 
V8.0.1.7     Fixed  - Creating mbtiles from SasPlanet with multiple zoom levels does not create all zoom levels
V8.0.1.7     Fixed  - Creating a mbtiles chart from a Kap has incorrect geo-referencing 
V8.0.1.6     Fixed  - Changed "Quilting Please Wait" to "Creating Mbtiles...Please Wait"
V8.0.1.5     Fixed  - When GE Plugin is missing the message does not give name of the plugin just %s
V8.0.1.5     Fixed  - Creating a Mbtiles from a GeoTiff takes too long.  Changed from GDAL to creating chart directly using OoRexx Sqlite
V8.0.1.5     Fixed  - Starting Google earth get "taking too long to settle" message too soon
V8.0.1.5     Fixed  - Creating charts using multiple path/polygons on Google Earth creates only one jumbled chart
V8.0.1.4     Fixed  - Creating an MBtiles chart from a GEOTIFF fails 
V8.0.1.3     Fixed  - Latest version of OORexx detects a problem in R_Adjust_Datum and crashes
V8.0.1.2     Fixed  - Creating mbtiles charts from Google earth fails
V8.0.1.1     Fixed  - Selecting more than one path/polygon causes excessive downloads and exports.
V8.0.1.0     New    - Version  
V8.0.0.5     Fixed  - Reduce OpenPN black line problem by sorting charts by lat/lon
V8.0.0.5     Fixed  - No longer reset the Tile checkbox
V8.0.0.3     Fixed  - Missing Polygon/Path header
V8.0.0.2     Fixed  - Creating mbtiles chart from GE via tiling or a path/polygon very slow and black areas
V8.0.0.1     Fixed  - Invalid link to OORexx V5 in check.rex
V8.0.0.1     Fixed  - Creating unquilted kap charts from SasPlanet causes a crash
V8.0.0.1     Fixed  - Creating a kap chart from sasplanet with a suffix of underscore and 5 numerics causes a crash
V8.0.0.0     New    - Version  updated all the tutorials and help
V8.0.0.0     Fixed  - Not deleting VRT files in the temp directory 
V7.0.0.5     Fixed  - Removed that damn "Create chart fom overl. Do not use Google Earth"
V7.0.0.1     Fixed  - Sat2Chart disappears if creating quilted  kap charts from a path/polygon  
V7.0.0.0     New    - Version  Moved all Options to tabs. 
V7.0.0.0     Added  - Donate button
V7.0.0.0     Added  - New option To download all zoom levelsbut create chart from Highest
V7.0.0.0     Fixed  - If directory does exist it crashes making mbtiles
V6.0.8.3     Added  - Moved all Options to tabs 
V6.0.8.0     New    - Version 
V6.0.6.3     Added  - New Utilites
V6.0.6.3     Fixed  - Changed the separator in special chart names from a comma to a +
V6.0.6.3     Fixed  - Updated Italian messages
V6.0.6.3     Fixed  - If GDAL is installed but the path variable is not set GDAL commands fail
V6.0.6.3     Fixed  - Update the GDAL help to add that for 32bit systems the path variable needs to be C:\Program Files\GDAL
V6.0.6.2     Fixed  - Not recognizing the Google earth blue spinwheel.  Increase the lower range of colors
V6.0.6.0     New    - Version 
V6.0.5.1     Fixed  - Help F1 not  working
V6.0.5.1     Fixed  - Creating mbtiles chart and overlaying on GE are not full color 
V6.0.5.1     Fixed  - Overlaying SasPlanet onto Google earth not working.
V6.0.5.1     Fixed  - Land transparent and other GE fields appearing when no overlay
V6.0.5.1     Fixed  - Corrected GE geo-referncing
V6.0.5.1     Fixed  - Not detecting GDAL errors
V6.0.5.1     Fixed  - If you get a GE error and then try to make a sasplanet chart it crashes.
V6.0.5.0     New    - Version 
V6.0.4.1     Fixed  - Corrupted colors if overlaying OpenCPN on GE and mbtiles
V6.0.4.1     Fixed  - Some users unable to load the GE2KAP_GDAL_Funcs.dll. Removed it
V6.0.4.0     New    - Version made GE mtiles charts full colored
V6.0.3.0     New    - Version doubled the number of colors for Mbtiles tiled and paths/polygon over kap charts
V6.0.2.0     New    - Version Updated tutorials to reflect mbtiles support of Google earth
V6.0.1.3     Fixed  - Creating a mbtiles chart from GE does not support the Special Chart Names
V6.0.1.3     Fixed  - Creating a mbtiles chart from GE does not display chart name in Success message if only one chart 
V6.0.1.2     Fixed  - Removed ' as illegal character and now show illegal filename
V6.0.1.2     Fixed  - Allowed real GE to create mbtiles for GeoReferenced images
V6.0.1.1     Fixed  - Allowed real GE to create tiled and polygon/path charts in mbtiles format
V6.0.1.1     Fixed  - Creating chart aftef transtitioning from SasPlanet to Google earth causes a failure to find the spinwheel stopped
V6.0.1.1     Fixed  - Removed advanced field from Options
V6.0.1.1     Fixed  - Creating charts from a path and polygon from GE uses same height for both. 
V6.0.1.1     Fixed  - Tutorial 14 has wrong title
V6.0.1.0     New    - Version  removed Step By Step and replaced with Tutorials
V6.0.0.4     Fixed  - Crash if you enter .kap on chart name and check Mbtiles
V6.0.0.4     Fixed  - Creating charts from paths/polygons does not work
V6.0.0.4     Fixed  - Creating a chart from path/polygons using  Google earth with Mbtiles checked, does not work. Now an error
V6.0.0.2     Fixed  - Creating a tiled chart of Google earth with Mbtiles checked, does not create a tiled chart. Now an error.
V6.0.0.2     Fixed  - Creating a quilted tiled kap from GE times out too soon. 
V6.0.0.1     Fixed  - Download error message cutoff.
V6.0.0.1     Fixed  - Progress line of >'s goes off small screen. Reduced it to 40 entries.'
V6.0.0.0     New    - Version
V6.0.0.0     Fixed  - Crash if total elapsed time is greater than 24 hours
V5.0.4.4     Added  - Progress indicator
V5.0.4.1     Added  - New Mbtiles checkbox on main panel
V5.0.4.1     Fixed  - Chart name in Queue Info not being reset in Download threads if no download,
V5.0.4.1     Fixed  - Download threads try to process same request. Added new Download lock.
V5.0.4.0     New    - Version
V5.0.4.0     New    - Version
V5.0.3.7     Fixed  - Crashes when a Layer specified
V5.0.3.6     Fixed  - Slow Computer bring up two copies of the Open window. Now check the SasPlanet.ini to see if CTRL+F defined.
V5.0.3.5     Fixed  - Slow computer both download threads try to process same chart
V5.0.3.4     Fixed  - Slow computer fails to fill in hlg on the Open window
V5.0.3.4     Fixed  - Duplicate zoon levels in the mbtiles Name field if using special chart names
V5.0.3.4     Fixed  - Creating chart from polygon crashes if Diagnostic Level greater than 1
V5.0.3.3     Fixed  - Fails to find the Export tab, gets a blank tab title
V5.0.3.3     Fixed  - Unquilted chart crashes
V5.0.3.2     Fixed  - Finish time changed to actual date/time
V5.0.3.2     Fixed  - Added a warning message if the "Invoke SasPlanet Download" is unchecked. 
V5.0.3.2     Fixed  - If processing mutiple maps the average times and and estimated Estimated time remaining are incorrect
V5.0.3.1     Fixed  - Queue Info queued count not being updated 
V5.0.3.0     New    - Version
V5.0.2.14    Fixed  - If multiple maps are selected, an unselected map can be used for checking the zoom levels and fail. 
V5.0.2.14    Fixed  - Displaying more than the last errormsg
V5.0.2.13    Fixed  - In the Queue Info the Export qeueued was not correct
V5.0.2.11    Fixed  - Changes to the chart/Location do not update the info message
V5.0.2.10    Fixed  - After creating a chart, any changes to are field do no change the info message
V5.0.2.9     Fixed  - If sasplanet is doing a download and the screen gets locked the close of the download will fail.
V5.0.2.9     Fixed  - Using real GE  get a Syntax error when starting GE
V5.0.2.7     Fixed  - If path/ploygon crosses the 180 Meridian trys to download all of tiles at that latitude
V5.0.2.6     Fixed  - Creates an hlg for every Map. Now resuses same hlg for a chart_name
V5.0.2.5     Fixed  - Queue Info added what is running in each thread, the current map and the memory used    
V5.0.2.3     Fixed  - Total ElapsedTime  changed to hh:mm:ss
V5.0.2.2     Fixed  - Time remaining changed to hh:mm:ss
V5.0.2.2     Fixed  - Sped up selecting multiple zoom levels
V5.0.2.2     Fixed  - Incorrect info message when overlay is an mbtiles chart
V5.0.2.2     Fixed  - If overlay is a chart the Info message scrolls off and has double "Create Chart"
V5.0.2.0     New    - Version
V5.0.1.2     Fixed  - Hangs after terminate requested
V5.0.1.1     New    - Hidden option QUEUEINFO when = 1 will display queue info
V5.0.1.1     Fixed  - If processing multiple maps the count of images and charts and timing are not correct
V5.0.1.1     Fixed  - If download error does not retry
V5.0.1.1     Fixed  - Error in Sas_Export does not cause Errormsg and termination
V5.0.1.1     Fixed  - Using selected maps get Not supported first time
V5.0.1.1     Fixed  - GE fields showing when "Create chart from Overlay. Do not use Google Earth"
V5.0.1.0     New    - Test Version 
V5.0.0.15    Fixed  - Not going to Export tab
V5.0.0.15    Fixed  - Open window not closing
V5.0.0.14    Fixed  - Predefine for mbtiles fails
V5.0.0.11    Fixed  - Waits for export to complete. Created new thread for exports
V5.0.0.9     Fixed  - New selection manager locking method
V5.0.0.9     Fixed  - If missing zoom levels in one Map it affected others
V5.0.0.1     Fixed  - Clarified various error messages
V5.0.0.0     New    - Version - Support for Multi Maps
V4.0.3.1     Fixed  - Improved performance when creating charts from multiple paths/polygons
V4.0.3.1     Fixed  - Made widepath mandatory when creating charts from a path
V4.0.3.1     Fixed  - Tile hangs after creating a chart
V4.0.3.0     New    - Version
V4.0.2.17    New    - Support for SasPlanet multiple splits
V4.0.2.17    New    - Support for special chart names for mbtiles
V4.0.2.17    Fixed  - SAS.Planet.Nightly.190519.9942 not working
V4.0.2.0     New    - Version
V4.0.0.5     Fixed  - Running out of resources when creating a mbtiles chart of long path and many zoom levels.
V4.0.0.5     Fixed  - Using the lowest zoom level when multiple zoom levels, now uses highest
V4.0.0.5     Fixed  - Creating charts from SasPlanet for a polygon invoking Selection manager for path zoom unnecessarily.
V4.0.0.4     Added  - Support for a polygon to be a hlg file 
V4.0.0.3     Fixed  - If  chart borders span the 180 merdian creates a huge chart
V4.0.0.2     Fixed  - Not detecting the GE spinwheeel is stopped. 
V4.0.0.1     Fixed  - Now detect if the SasPlanet map is Navionics or C-Map and set the depth units to Meters.
V4.0.0.0     New    - New version, 
V3.0.7.5     Added  - Depth Unit to mbtiles name field
V3.0.7.5     Fixed  - Not recognizing GE spinwheel stopped
V3.0.7.5     Fixed  - Intial messages in the message box
V3.0.7.0     New    - New version, updated Help for SasPlanet changes
V3.0.6.5     Fixed  - need to have screen resolution = 1366x768 and text size=100 for sasplanet
V3.0.6.5     Fixed  - Sat2Chart.exe gets error message if computer does not support SetProcessDpiAwarenessContext
V3.0.6.0     New    - New version, updated Help to no support for Windows XP
V3.0.5.0     Added  - New version Removed restriction that text size has to be 100% when creating charts on Google Earth
V3.0.4.0     Added  - New version updated help for new GE Mbtiles
V3.0.2.5     Added  - Mbtiles support for real Google earth
V3.0.2.5     Fixed  - Removed _1 from mbtiles charts
V3.0.2.0     New    - New version, updated Help to reflect editing existing charts.
V3.0.1.9     New    - Capability to edit existing mbtiles charts.
V3.0.1.8     Fixed  - Landsat_chart.rex
V3.0.1.0     New    - New version, fixed links to sasplanet.zip download.
V3.0.0.4     Fixed  - Borders not aligned when chart is edited.
V3.0.0.2     Fixed  - Editors like MSPaint and snagit not passing the alpha of the image
V3.0.0.0     New    - New version updated links in Help to oorexx V5.  
V2.0.0.3     Fixed  - View button not working for mbtiles charts
V2.0.0.3     Fixed  - Rc=97 because on OORexx V4.2.0 
V2.0.0.2     Fixed  - Bottom ofa mbtiles single chart being cutoff
V2.0.0.1     Fixed  - Removed the filespec from the Chart Location\Name field if successful chart create.
V2.0.0.0     Add    - New version. Support for editing Mbtiles and quilted charts.
V1.0.0.3     Add    - New beta. Support for editing Mbtiles and quilted charts.
V1.0.0.1     Add    - New beta. Able to edit Mbtiles 
V1.0.0.0     Add    - New Version. Updated the Help to replace all GE2KAP with Sat2Chart
V0.0.0.4     Fixed  - Able to run more than one version of Sat2Chart at a time.
V0.0.0.4     Fixed  - Creating a chart from png with calibration data in a .kml fails
V0.0.0.3     Fixed  - Creating a chart from a path without Wide specified creates a chart with the bottom and right cut off.
V0.0.0.2     Fixed  - Looks for sas2Chart_V17_pi. dll but still using ge2kap_V17_pi
V0.0.0.1     Fixed  - Loops trying to install the OpenCPN ge2kap dll.
V0.0.0.0     New    - Sat2Chart first version
V34.0.0.11   Add    - Support for creating MBtile charts
V34.0.0.10   Fixed  - Cannot create asplanet cahrts in keyboard is not english
V34.0.0.9    Fixed  - Not installing plugin if more then one version of OpenCPN installed 
V34.0.0.8    Fixed  - Not installing correct plugin for OpenCPN V4.99
V34.0.0.7    Fixed  - New ge2kap_V17_pi.dll for OpenCPN V4.99
V34.0.0.6    Fixed  - Extra Download of SasPlanet
V34.0.0.5    Fixed  - Timing problem unable to find Sasplanet window.
V34.0.0.4    Fixed  - Creating a chart from an image and calibration file fails.
V34.0.0.3    Add    - New version with updated Help on modifying the Sasplanet cache location.
V34.0.0.3    Fixed  - Creating Quilted charts from real Google earth without GDAL installed get a border error.
V34.0.0.3    Fixed  - Bad link to oorexx both in Check.rex and Ge2kap.rex
V34.0.0.2    Fixed  - Requirement that the SasPlanet cache directory must be in the SasPlanet directory. Now can be anywhere.
V34.0.0.0    Add    - New Version
V33.0.0.1    Fixed  - Problems creating unquilted charts from SasPlanet
V33.0.0.7    Add    - New Version
V33.0.0.7    Added  - New Option to specify Maximum quilted chart size
V33.0.0.5    Fixed  - If Sasplanet's Maps.ini has a corrupted first entry it will sill be read.
V33.0.0.5    Fixed  - Changed the way I create the jpg for the colors. Now uses Stitch instead of Export
V33.0.0.0    Add    - New Version
V33.0.0.0    Fixed  - GE2KAP threads running very slow on some compters. Fixed by going to OORexx V5
V32.0.0.10   Fixed  - Sasplanet errors
V32.0.0.8    Add    - New Version, added code to delete old GE2KAP shortcuts.
V32.0.0.7    Add    - New Version
V32.0.0.7    Add    - Moved routines common to both GE2KAP and C2GPXKML into Common_Routines.rex
V32.0.0.7    Fixed  - Crash if load error for a tile. Also, now will try up to 3 times to load the tile
V32.0.0.6    Add    - New Version
V32.0.0.6    Fixed  - Unable to create charts from kmz file the have imbedde Network links
V32.0.0.5    Fixed  - Creating charts from SasPlanet that cross the 180 Meridian not possible.
V32.0.0.4    Fixed  - Trying to use the "Hybrid (Google)" layer but instead it uses the "Map (Google)" layer
V32.0.0.3    Fixed  - ListWindows prouducing invalid windows. Put in check for a valid handle.
V32.0.0.1    Add    - New Version
V32.0.0.1    Fixed  - If a layer is specified you can get blotches of red
V32.0.0.1    Fixed  - Cleaned up duplicate code
V32.0.0.0    Add    - New Version
V31.0.2.7    Fixed  - Having different projections on the map and layer didn't align properly.
V31.0.2.2    Fixed  - Had to make GDAL a requiremnt if you are creating quilted charts from SasPlanet
V31.0.2.2    Fixed  - Creating charts frrom SasPlanet maps and layers using projection=2 Ellipsoidal like Yandex did not work
V31.0.2.2    Fixed  - Creating charts unquilted from SasPlanet showed the Sasplanet status bar
V31.0.2.0    Add    - New Version
V31.0.1.3    Fixed  - Layers not working. Support for all Maps and layers
V31.0.1.2    Fixed  - Missing Yandex satellite
V31.0.1.1    Fixed  - Crash if Cancel on tile popup window.
V31.0.1.0    Add    - New version 
V31.0.0.4    Add    - Two threads to create non-quilted Google Earth charts. 
V31.0.0.3    Fixed  - Polygon/Path field grayed out when opencpn is selected in the overlay.
V31.0.0.2    Fixed  - Number of charts created was double what it should be on final message.
V31.0.0.1    Fixed  - Removed requirement to have GDAL installed for quilted charts.
V31.0.0.0    Add    - New Version: Multiple tasks and downloads for user creating quilted charts from SasPlanet.
V30.0.9.1    Fixed  - New Version added processing stats
V30.0.9.1    Fixed  - Crashed on Open window
V30.0.9.0    Add    - New version using multiple threads when creating saplanet quilted charts 
V30.0.8.1    Fixed  - Creating bad hlg file causing very large dpwnload fromSasPlanet
V30.0.8.0    Add    - New version Updated Help to make GDAL Install a separte section and now GDAL is required for quilting with SasPlanet  
V30.0.8.0    Fixed  - Not recognizing German/French/Spanish open windows 
V30.0.7.0    Fixed  - Reduced memory leak from system Ntt.dll by resuing same image in Quilt
V30.0.6.0    Add    - New Version. Fix for Save failure after running many pahs/polygons
V30.0.5.0    Add    - New Version. Updated Help rmoved Very Large polygons section.
V30.0.4.1    Fixed  - Very Large Polygons now supported normally
V30.0.4.0    Add    - New Version. More fixes for wide path
V30.0.3.0    Add    - New Version. Fixes for wide path
V30.0.1.6    Fixed  - Garbage quilted charts if split at a jagged path.  Also fixes chart border error for GE users.
V30.0.1.3    Fixed  - Invalid call to ge2kap_pi plugin if creating charts by overlaying OPeNCPN onto GE following a path
V30.0.1.3    Fixed  - When creating quilted charts and they get split, the last one may be very small.
V30.0.1.2    Fixed  - Crash if longitude GT -99
V30.0.1.1    Fixed  - Missing data in quilted large tile and rectangle polygons
V30.0.1.0    Add    - New version updated Help and fixed link in Problems
V30.0.0.11   Fixed  - Crash if number of colors less than 20
V30.0.0.10   Fixed  - Navionic colors for some depths missing
V30.0.0.9    Fixed  - Crash on a Very Large Polygon
V30.0.0.8    Fixed  - Made Download windows faster
V30.0.0.7    Fixed  - Repositioning SasPlanet.  Now only for tiling
V30.0.0.7    Fixed  - Crash if Download window has no CRLF
V30.0.0.5    Fixed  - If quilting and you Pause the download, the download window will not be closed when completed.
V30.0.0.4    Fixed  - Very large polygons produce garbage charts.  Made GDAL a prerequiste for rectangle processing of polygons.
V30.0.0.3    Fixed  - Last point of a quilted wide path may create bad charts.
V30.0.0.2    Add    - More Elapsed time calculations DLL routines
V30.0.0.1    Fixed  - No Elapsed time if using predefined
V30.0.0.1    Add    - New test case for quilt, wide, width=
V30.0.0.1    Fixed  - Crash if GE2KAP is paused by moving the cusor to the top or bottom of the screen
V30.0.0.0    Add    - New version updated Help for Wide path Width also updated Italian,French and Portugese language files
V29.0.3.2    Add    - Width for Wide paths
V29.0.3.1    Fixed  - Crash if lat/lon is invalid when repositioning
V29.0.3.0    Add    - New version released
V29.0.2.4    Fixed  - Chart Border Error if wide path at Z21
V29.0.2.3    Fixed  - Crash if saplanet is not up and running
V29.0.2.3    Fixed  - Missing charts for wide path at Z20
V29.0.2.3    Fixed  - Chart runaway for non-wide path at Z20
V29.0.2.2    Fixed  - Lost digits error for zoom levels 20 or greater
V29.0.2.2    Fixed  - Endless loop if saplanet zoom level is not reached
V29.0.2.1    Add    - After creating a chart from SasPlanet it will be repositioned to its original lat/lon and zoom level.
V29.0.2.1    Fixed  - Creating a chart by overlaying SasPlanet onto Google Earth does not crop out the data at the bottom of Google earth.
V29.0.2.0    Add    - New Version
V29.0.1.10   Fixed  - Invalid link to installing Google earth V7.1.2
V29.0.1.10   Fixed  - Crash for first time users if Google Earth not installed
V29.0.1.9    Added  - More parms for invoking GE2KAP and TEST_GE2KAP.rex to test vaious funcions
V29.0.1.8    Added  - Support for Map (Google)
V29.0.1.7    Fixed  - Crash creating Unquilted charts from Sasplanet if longitude is ge -100
V29.0.1.7    Fixed  - If the "Use SasP Cache" field does not match the running Sasplanet there was no error message.
V29.0.1.5    Added  - If only one chart is created it will be listed in the Successful message
V29.0.1.4    Fixed  - Removed signal off any before all RxCalc instructions
V29.0.1.3    Fixed  - if not quilting it needs to monitor the queue count
V29.0.1.2    Fixed  - Unable to detect the GE status bar not giving an error message
V29.0.1.1    Add    - Italian language Thanks to Fabio Slaviero
V29.0.1.1    Fixed  - Not recognizing Download window if sasplanet language is French or Spanish (and now it ignores the queue count)
V29.0.1.0    Add    - New  version support for very large polygons  
V29.0.1.0    Updated- Portugu s and Fran ais language files 
V29.0.1.0    Fixed    Creating charts for a path with Google earth causes the dreaded Chart Border Error if Diagnostic=0 at 1 its OK
V29.0.0.0    Add    - New  version updated Help for new version   
V28.0.1.5    Fixed  - Moving typing delay slider causes a crash 
V28.0.1.4    Fixed  - When creating charts for a path if there was a a height/zoom fro a polygon exsisting it when to it it before going the the path zoom/height. 
V28.0.1.3    Add    - Performance Improvement for SasPlanet Quilted charts
V28.0.1.2    Fixed  - Polygons have too many charts on west side.
V28.0.1.2    Fixed  - Invalid message Detail Height/Zoom must be less than Normal Height/Zoom
V28.0.1.1    Updated- Changed the Help to reflect the removal of the Detailed Path function and the the new height/zoom windows.
V28.0.1.1    Remove - Detailed Path function and changed the height/zoom windows to refect this and make them more intuitive of their pourpose especially the Repeat feature.
V28.0.1.0    Add    - New Version
V28.0.0.5    Fixed  - Creating an unquilted chart deletes the empty_tile.bmp
V28.0.0.4    Fixed  - Quilted Chart not covering entire polygon
V28.0.0.3    Fixed  - Getting the Chart_Border Error when we shouldn't
V28.0.0.2    Fixed  - View not showing all the quilted charts also added a Flush_log to View method
V28.0.0.2    Fixed  - Unquilted Charts not getting created
V28.0.0.1    Fixed  - Split paths not quilting until the end.  Now afer all the images for the chart are read the quilting it is done
V28.0.0.1    Fixed  - No error message for Empty_Tile.bmp missing
V28.0.0.0    Add    - New language messages
V27.0.0.15   Fixed  - A quilted polygon can not be split if its over 50meg or 250meg if GDAL is installed
V27.0.0.14   Fixed  - when quilting the histograms were 5 entries long when only two were needed.
V27.0.0.13   Fixed  - Using Sasplanet to create nonQuilted charts showed up on OpenCPN with black lines in between the charts aka the piano keys
V27.0.0.12   Fixed  - Large polygons not tracking well, chart data not inside the polygon.
V27.0.0.12   Fixed  - Large paths and polygons can be split and not have the correct chart border thus not showing all the chart data.
V27.0.0.11   Fixed  - When processing a combination of paths and polgons with Repeat the detail height/zoom was not propogated to the polygons.
V27.0.0.11   Fixed  - When creating a chart from sasplanet,  if tiles are missing the chart can have an improper border.
V27.0.0.11   Fixed  - On restart of GE2KAP and using sasplanet before, the Overlay field was not reset to sasplanet
V27.0.0.11   Fixed  - Quilted charts that are split do not have the same scale
V27.0.0.10   Fixed  - If the location of Sasplanet is changed but forgets to update the GE2KAP options the user was not notified.
V27.0.0.9    Fixed  - Crash when overlaying OpenCPN onto GE then zooming in
V27.0.0.8    Fixed  - If unable to detect the GE statusbar, GE2KAP would still create a chart that could be inaccurate. Now it will not.
V27.0.0.7    Fixed  - Removed beep when screenshot is taken and Diagnostic level GT 0
V27.0.0.6    Fixed  - Make land transparent checkbox text overlaying threshold field.
V27.0.0.5    Fixed  - Sometimes quilted charts have a Geof Reference poor error on OpenCPN.
V27.0.0.4    Fixed  - Wait cursor turning off when it shouldn't and not on when it should be
V27.0.0.3    Fixed  - Crash on accessing the depth units 
V27.0.0.2    Fixed  - Crash when starting Google earth
V27.0.0.1    Fixed  - Creating charts from from both paths and polygons and using WIDE and Repeat causes the polygons to become wide paths.
V27.0.0.0    Added  - New version, updated Help to reflect new non quilt option
V26.0.0.9    Added  - Unquilted charts created for paths/polygons/tiling from Sasplanet can now use the Sasplanet cache if its swpecified in the options.
V26.0.0.8    Fixed  - When using Google earth Pro not detecting the status bar, unable to do typing test, unable to overlay OpenCPN on GE 
V26.0.0.8    Added  - Added to the Help Google Earth Configuring to turn off Terrain in the sidebar layers.  It can really slow you down.
V26.0.0.7    Fixed  - When creating charts from GE sometimes they are blurry because they have not completed downloading
V26.0.0.6    Fixed  - Whaen calculating number of charts the wait cursor goes off
V26.0.0.5    Added  - Changed logging time to include fractions of a second
V26.0.0.4    Fixed  - When quilting sometimes does not predict the number of charts that will be created 
V26.0.0.3    Removed- Removed the Quilting.rex utility. 
V26.0.0.3    Fixed  - Incorrect lat/lon on quilted charts created from the SasPlanet cache if the first tile is not in the cache.
V26.0.0.3    Fixed  - Check for Updates button not working if default browser is Microsoft Edge
V26.0.0.2    Fixed  - Chart outline is not correct for a Quilted Tile.  Now use the outside borders instead of the bloodhgound algorithm for tiles.
V26.0.0.1    Fixed  - Unable tp write to the chart directory if its in a DropBox folder and the folder is shared
V26.0.0.0    Add    - New version updated Changelog and Help to reflect changes
V25.0.0.12   Fixed  - Not working with new Google Earth Pro V7.3.0
V25.0.0.11   Change - Use Alt+F4 to terminate Google earth   
V25.0.0.10   Add    - More maps to Sasplanet  support Google MapMaker, Bing Maps, ArcGIS.Streets
V25.0.0.9    Add    - More maps to Sasplanet  support
V25.0.0.8    Fixed  - If Polygon/Path has no coordinates (eg: a placemark) causes a crash, now gives error message.
V25.0.0.7    Fixed  - Crash if using a Polygon or Path 
V25.0.0.6    Fixed  - If the GDAL_DATA and GDAL_DRIVER_PATH varaiables did not exist it was setting the wrong path for it causing Dutch GEOTIFFs to fail.
V25.0.0.6    Fixed  - If Polygon/Path has no coordinates (eg: a placemark) causes a crash, now gives error message.
V25.0.0.6    Fixed  - Quilt_Charts V2.0.7  added check for valid gdalinfo.exe
V25.0.0.6    Fixed  - Not creating BSB for a single chart when "Create BSB file" is checked in options.
V25.0.0.6    Update - Help for SasPanet setup to specify that the screen resolution should be set to 1366x768.   
V25.0.0.6    Add    - Code to allow the "Use SASP Cache:"  to have the cache folder specified or not.
V25.0.0.6    Add    - Code in Check.rex to check that OORexx V4.2 or higher is installed.
V25.0.0.5    Add    - All ESRI as MAP choices and ArcGIS.Hybrid as a layer when quilting directly from SasPlanet cache.
V25.0.0.3    Fixed  - Crash if tiling and WIDEPATH=1
V25.0.0.3    Fixed  - Polygon/Path select button disabled after tiling
V25.0.0.3    Add    - French messages and Step by Step
V25.0.0.3    Fixed  - Crash if GDAL location in environment variable is not valid
V25.0.0.2    Fixed  - Sasplanet link  in Help 
V25.0.0.2    Fixed  - Colors streaking, put back SetClrImportant(127)
V25.0.0.1    Fixed  - Colors not correct when quilting
V25.0.0.1    Fixed  - Crash processing calibrated GEOTIFF image
V25.0.0.1    Fixed  - Not making the depth units Meters if Map or Layer is Navionics when quilting
V25.0.0.0    Add    - New Version with option to use SasPlanet cache 
V24.0.0.19   Add    - If we are using SP and the the map or layer has Navionics in it, set the depth units to meters.
V24.0.0.19   Fixed  - Crash when creating chart from a calibrated png that has an Alpha layer. Stripped the layer from the tif. 
V24.0.0.18   Add    - Layers to cache
V24.0.0.18   Fixed  - Crash after "Error: this Google Earth version is not supported"
V24.0.0.17   Add    - Option to use the SasPlanet cache rather then taking screenshots when creating quilted charts of SasPlanet
V24.0.0.12   Fixed  - Not creating single sasplanet chart
V24.0.0.9    Add    - German step by step procedures.  Also Help for creating Norway charts and missing MFC100.DLL missing fix to problems.
V24.0.0.8    Fixed  - possible conflict if there is a projection_info.txt for GEOTIFFs
V24.0.0.7    Fixed  - Fixed projection on Norwegian charts, now Transverse Mercator also added skew
V24.0.0.6    Fixed  - No translation for Win7 Narrator turn on/off
V24.0.0.5    Fixed  - new check statement on Step By Step to prevent user from advancing if they did not open/close the panels properly or enter data
V24.0.0.2    Fixed  - Crash if *R button used.
V24.0.0.1    Add    - Support for Norwegian from http://kart.kystverket.no/  saved as georeferenced jpegs
V24.0.0.0    Add    - Support for Windows narrator running Step By Step
V23.0.1.15   Fixed  - Charts created from an image where the calibration data is in the CHARTCAL.DIR had the wrong depth units.
V23.0.1.14   Fixed  - Added code to check if the chart directory was writeable.
V23.0.1.6    ADD    - Step By Step Instructions
V23.0.1.3    Fixed  - Changed final Successful message to images rather than charts
V23.0.1.3    Fixed  - Unchecked Tile checkbox after tiling
V23.0.1.2    Fixed  - Prevented using old GDAL version that does not have entry in the Path environment variable
V23.0.0.21   Fixed  - If SasPlanet has a Layers open GE2KAP was unable to open the Setting Interface Options
V23.0.0.21   Fixed  - SasPlanet V16 has an extra pulldown called Favorites so GE2KAP was unable to open the Setting pulldown
V23.0.0.19   Fixed  - Charts for wide path were sometimes not covering the path.  Rewrote the wide path algorithm.
V23.0.0.16   Fixed  - If using a widepath or polygon that was quilted into more than one chart the borders were incorrect.
V23.0.0.11   Fixed  - Created a separate thread for logging for Quilt_charts
V23.0.0.10   Fixed  - Borders not correct on some polygons. Had to put Old Blue Down and got me a new dawg.
V23.0.0.9    Fixed  - Borders not exact, changed to the bloodhound algorithm.
V23.0.0.9    Fixed  - Sasplanet calibration occassionally fails because of Slection Manager Illegal Handle
V23.0.0.9    Fixed  - SasPlanet sometimes fails to load the Queue0.img because in wrong directory.
V23.0.0.8    Fixed  - Chart accuracy off slightly when quilting
V23.0.0.8    Fixed  - Now will tell how many charts will be created before processing starts.
V23.0.0.8    Fixed  - Now will ask if existing chart should be overlayed before processing starts.
V23.0.0.8    Fixed  - Not deleting the images until the end, causes hard drive to become full if quilting many groups.
V23.0.0.7    Fixed  - The borders, again.
V23.0.0.7    Fixed  - Problem crossing Prime meridian (Longitude 0)
V23.0.0.6    Add    - GE2KAP can now process any number of unquiloted charts and can process charts of different scale
V23.0.0.6    Fixed  - Quilt_Charts chart border not follwing images.
V23.0.0.0    Fixed  - Quilt_Charts not putting in proper depth units
V23.0.0.0    Fixed  - Quilt_Charts chart border not follwing images.
V23.0.0.0    Fixed  - GE2KAP quilting colors not good
V23.0.0.0    Fixed  - GE2KAP fixed .Nil in Success message
V22.0.0.19   Add    - Quilt_Charts now will quilt mixed scales ie Normal+ Detail heights/zooms
V22.0.0.19   Fixed  - Quilt Charts calibration off slightly 
V22.0.0.19   Fixed  - Calibration failed using SasPlanet. Stitch tab not recognize that its open.
V22.0.0.18   Fixed  - Creating charts from a path with Normal + Detail charts on SaspPlant uses wrong zoom levels
V22.0.0.17   Add    - Check if quilted chart already exists
V22.0.0.17   Removed- Metres from Depth Units. In next version will include depth units in each language
V22.0.0.16   Add    - Generic function to Quilt_charts
V22.0.0.15   Add    - Quilt_Charts delete quilted charts option
V22.0.0.15   Fixed  - OOREXX Crashes on both GE2KAP and Quilt_Charts if large number of palette entries
V22.0.0.14   Add    - Quilt_Chart.rex utility to quilt existing unquilted kap charts.
V22.0.0.14   Add    - Drop support for all languages that do not have a translator.
V22.0.0.14   Fixed  - Quilted charts inaccurate
V22.0.0.14   Fixed  - Quilted charts have no imbedded polynomials
V22.0.0.14   Fixed  - Crash if Create BSB checked and quiltting carts
V22.0.0.12   Fixed  - Chart crossing IDL problems
V22.0.0.11   Fixed  - Removed quilt control on Options. Quilt palette is now created dynamically from images
V22.0.0.1    Add    - Quilt support for Tiling and Polygon and paths
V22.0.0.1    Fixed  - Removed check to see if OpenCPN is holding the chart
V22.0.0.1    Fixed  - Geotiff an GeoPDFs with compression failed.
V22.0.0.1    Fixed  - Not using previous versions Landsat_Options.txt
V22.0.0.1    Fixed  - Landsat Help fails if used during processing.
V22.0.0.0    Add    - Moved files created by Landsat_chart to a sub-folder 
V21.0.0.9    Fixed  - Landsat_Chart uable to create chart for pansharpened image 
V21.0.0.8    Fixed  - Fixed Processing %s please wait message
V21.0.0.8    Fixed  - Landsat invoking GE2KAP  leaving behind CMD prompt, now use rexxhide
V21.0.0.7    Fixed  - Not using old options, Band_Choices.txt and ImageMagick_cmds.txt
V21.0.0.6    Add    - Landsat Bands_Choices slection field
V21.0.0.5    Fixed  - Landsat using wrong GIMP script.
V21.0.0.4    Fixed  - Landsat eliminated need to install python.
V21.0.0.3    Fixed  - Landsat not finding GIMP path
V21.0.0.2    Add    - Option LOGTHREAD to use log thread logging or not
V21.0.0.2    Add    - Enhanced Landsat Curves to allow changing each of the RCB channels
V21.0.0.2    Fixed  - Crash if invalid  New test calibration file format
V21.0.0.1    Fixed  - Landsat_chart changed to use width-1 and height-1
V21.0.0.1    Fixed  - New test calibration file format not generating 4 reference points
V21.0.0.1    Fixed  - New test calibration file format LL,LR,UR to use width-1 height-1
V21.0.0.0    Add    - Landsat support.
V20.0.0.19   Add    - New test calibration file format
V20.0.0.19   Fixed  - Not creating a KML or MZ if chart exteniosn is kml/kmz
V20.0.0.18   Fixed  - Calibration off for Landsat charts
V20.0.0.18   Add    - New curves algorithm for Lamdsat_chart.rex
V20.0.0.18   Fixed  - Check program trys to replace plugin dlls 
V20.0.0.17   Add    - support for creating Landsat charts 
V20.0.0.17   Add    - new type of calibration file with UL,LL,LR,UR
V20.0.0.16   Fixed  - not producing Transverse Mercator chart for both Ozi map and GEOtiff
V20.0.0.15   Fixed  - Crash if calibration file is an OZI .map using UTM easting and northing 
V20.0.0.15   Fixed  - Duplicate coordinates if calibration file is an OZI .map  
V20.0.0.14   Fixed  - if oorexx less than V4.2.0 corrupted GEKAP/Options.txt
V20.0.0.13   Fixed  - If Terrain layer in sidebar then hotkeys not used.
V20.0.0.12   Fixed  - Crash if no polygon/path filetype.
V20.0.0.11   Fixed  - If chart exists already delete it before creating a new one
V20.0.0.10   Fixed  - Last Modified date of charts was local time should be set to UTC time
V20.0.0.10   Fixed  - Log thread not running concurrently
V20.0.0.10   Add    - Capability to pass an overlay file as a parameter to GE2KAP at startup 
V20.0.0.10   Fixed  - Unable to select folder on Chart  Location\ Name field
V20.0.0.10   Fixed  - Tile checkbox disappears when Options is open in second panel
V20.0.0.9    Fixed  - Expanded the Cropamt text field to accomadate French message.
V20.0.0.7    Add    - Removed third panel (Options). Now show them on second panel.
V20.0.0.7    Add    - Enhanced View_Chart button to be able to view all charts produced.
V20.0.0.7    Fixed  - Chart header CED/SE statement to have both date and time so navigation program will know chart changed.
V20.0.0.7    Add    - Enhanced the progress bar to show more info.  Also show progress bar at GE restart.
V20.0.0.4    Fixed  - On very fast CPU did not wait for GE to finish download.
V20.0.0.4    Fixed  - Selection tile of OpenCPN without GE crashes. Made this illegal for now.
V20.0.0.2    Add    - Moved logging to separate thread to speed up processing.
V20.0.0.1    Fixed  - On a small screen (10") the CROPAMT was not shown fully on the third panel.
V20.0.0.0    Fixed  - If Language is not set in Options then use English
V20.0.0.0    Fixed  - Crash if KML placemark has no name
V19.0.3.12   Add    - Made the GE  CROPAMT an option on third panel
V19.0.3.12   Fixed  - SasPlanet V16 Goto fails
V19.0.3.11   Fixed  - Path using SeaClear SRW does ask for heights
V19.0.3.11   Fixed  -  Atenci n! popup problem when using Spanish language on SasPlanet
V19.0.3.11   Add:   - Progress bar popup when cursor is moved to top of screen
V19.0.3.7    Add:   - At startup if GE2KAP.LOG.TXT exists copy to GE2KAP.OldLOG.txt
V19.0.3.5    Add:   - Maxsea routes can now be used for Paths and Polygons
V19.0.3.5    Fixed: - Crash when replying YES to terminate message after moving cursor into the taskbar.
V19.0.3.4    Fixed: - WidePath not being repeated to other paths.
V19.0.3.3    Fixed: - GE not loading large images, added code to reduce if over 25Meg
V19.0.3.3    Fixed: - Skew=360 causes crash
V19.0.3.3    Fixed: - Corrupted GEKAP.Options.txt causes crash
V19.0.3.2    Fixed: - Creating charts from SasPlanet and following a path crashes
V19.0.3.1    Add:   - Created Facebook group and added link in Help and also changed button on 3rd panel to link to it.
V19.0.3.1    Fixed: - Doing a redo (*R) of an overlay causes a crash.
V19.0.3.1    Fixed: - Increased overlap when tiling or creating polygons when cropamt is greater than 24
V19.0.3.0    Add:   - Scale classifications to height/zoom selection 
V19.0.3.0    Add:   - Support for Wide paths   see last section of PolygonPath Help.
V19.0.3.0    Fixed:   Clearing of Polygon/Path field after processing.
V19.0.3.0    Fixed:   Gaps between charts when following a path or polygon
V19.0.2.6    Fixed: - Crashes when tiling OpenCPN.
V19.0.2.6    Fixed: - Problem large polygons charts not aligning.
V19.0.2.5    Fixed: - Oorexx crashes with very large polygons or produces too many charts.
V19.0.2.4    Add:   - Predfined height of _Hxxxxx to work on SasPlanet
V19.0.2.4    Changed- Interruption logic to be more efficient and if taskbar is off no longer need to open another window.
V19.0.2.4    Fixed: - Oorexx crashes when using polygons/paths with oorexx verion 4.1
V19.0.2.3    Fixed: - GE2KAP crashes when predefining the zoom level for a polygon for SasPlanet.
V19.0.2.2    Add:   - Predefining height for Google Earth by adding _Hxxxxx in meters to file name or polygon/path name
V19.0.2.2    Add:   - Made the default polygon height the Detail height.
V19.0.2.2    Fixed: - Problem when when predefining with detail level.
V19.0.2.2    Fixed: - Changed the number of times check user interrupt from 10 to 100.
V19.0.2.0    Add:   - Predefining Height/zoom levels in polygon/path name or file name
V19.0.2.0    Add:   - Support for processing multiple polygon/paths
V19.0.2.0    Add:   - Tutorial videos
V19.0.2.0    Fixed: - Error: Unable to turn on the GE status bar! 
                      Added option that allows user to continue but warn him that 
                      GE may not have downloaded all the data or charts may be cropped.
V19.0.1.10   Fixed: - Problem not going to detail level when first chart is at detail level.
V19.0.1.10   Fixed: - Error trying to overlay a .KAP file onto GE that has a non standard datum (NAD83)
V19.0.1.10   Fixed: - Error trying to overlay an image file onto GE
V19.0.1.10   Fixed: - Error trying to overlay a .KAP file onto GE
V19.0.1.7    Fixed: - Error processing a GPX file of a polygon created by SasPlanet
V19.0.1.6    Fixed: - Problem when using SasPlanet 150915.9055 Stable 
                      and the Interface Options were not correct
V19.0.1.6    Fixed: - Problem gaps between charts following a path using SasPlanet
V19.0.1.5    Fixed: - Problem not using the GE hotkeys when using GEPro
V19.0.0.0    Add:   - Support for SasPlanet tiling and path/polygon
             Fixed: - Status bar problems 
             Removed: French Help                          
V18.0.0.0    Add:   - Support for Geotiff and GeoPDF files
                    - polynomials to chart headers
                    - optionally create BSB file
                                                
                                                                                                                    
